﻿@{
    ViewBag.Title = "Home Page";
}

@using CokingPlace.Models;

<div class="jumbotron">
    <div class="row">
        <h1 class="shadow-text">Cooking place</h1>
        @if (Request.IsAuthenticated)
        {
            @Html.ActionLink("Додати рецепт", "Create", "Recipes", null, new { @class = "col-md-2 btn btn-default" })
        }
    </div>
</div>

<h3>Нові рецепти</h3>
<div class="col-xs-12">

    <div id="myCarousel" class="carousel slide">
        <div class="carousel-inner">
            @{
                var list = ViewBag.LastRecipes as List<Recipe>;
                string attr;
                for (int i = 0; i < list.Count; i++)
                {
                    if (i == 0)
                    {
                        attr = "active";
                    }
                    else { attr = ""; }
                    <div class="item @attr">
                        <div class="row">
                            @for (int j = 0; j < 3; j++, i++)
                            {
                                <div class="col-xs-4">
                                    <a href="@Url.Action("Details", "Recipes", new { id = list.ElementAt(i).Id })" class="thumbnail">
                                        <img src="@Url.Content(list.ElementAt(i).ImageUrl)" alt="Image" class="img-responsive">
                                    </a>
                                </div>
                            }
                        </div>
                    </div>
                }
            }
        </div>

        <a class="left carousel-control" href="#myCarousel" data-slide="prev">‹</a>

        <a class="right carousel-control" href="#myCarousel" data-slide="next">›</a>
    </div>
</div>
